%global momorel 2
Name: kernel-pcmcia-cs
Version: 3.2.5
Release: %{momorel}m
Summary: The daemon and device drivers for using PCMCIA adapters.
Group: System Environment/Kernel
Obsoletes: pcmcia-cs
License: GPL
ExclusiveArch: i386 i486 i586 i686 athlon ppc
BuildRoot: %{_tmppath}/%{name}-%{version}-root

URL: http://pcmcia-cs.sourceforge.net/
Source0: http://telia.dl.sourceforge.net/pcmcia-cs/pcmcia-cs-%{version}.tar.gz
NoSource: 0

Source1: pcmcia-cs-2.8.8-network.script
Source2: nsp_cs.conf
Source3: momonga.conf
Patch0: pcmcia-cs-3.1.18-script.patch
Patch1: pcmcia-cs-3.1.18-config.patch
Patch3: pcmcia-cs-3.2.1-rctrans.patch
Patch4: pcmcia-cs-3.1.23-yenta.patch
Patch5: pcmcia-cs-3.1.23-updfstab.patch
Patch6: pcmcia-cs-3.1.24-portrange.patch
Patch7: pcmcia-cs-3.2.0-init.patch
Patch8: pcmcia-cs-3.1.24-wireless.patch
Patch9: pcmcia-cs-3.2.0-nsp_cs.patch
Patch12: pcmcia-cs-3.1.27-makefile.patch
Patch14: pcmcia-cs-3.1.29-rcfile-path.patch
Patch17: pcmcia-cs-3.2.4-IEEE1394.patch
Patch18: pcmcia-cs-WLI-PCM-S11G.patch
Patch100: pcmcia-cs-3.2.1-loaderlib.patch
# for momonga installer (dietlibc doesn't have wordexp(). so, use glob() instead.)
Patch101: pcmcia-cs-cardmgr-loaderlib.patch
BuildPreReq: kernel-source, kernel-headers >= 2.4.3
Requires: chkconfig, kudzu >= 0.95, hotplug
Prereq: hwdata >= 0.92-1m

%description
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are
small cards for everything from SCSI support to modems. PCMCIA cards
are hot swappable (i.e., they can be exchanged without rebooting the
system) and quite convenient to use. The kernel-pcmcia-cs package
contains a set of loadable kernel modules that implement an
applications program interface, a set of client drivers for specific
cards and a card manager daemon that can respond to card insertion and
removal events by loading and unloading drivers on demand. The daemon
also supports hot swapping, so that the cards can be safely inserted
and ejected at any time.


%prep
%setup -n pcmcia-cs-%{version} -q
%patch0 -p1 -b .script
%patch1 -p2 -b .config
%patch3 -p1 -b .rctrans
%patch4 -p1 -b .yenta
%patch5 -p1 -b .fstab
%patch6 -p1 -b .portrange
%patch7 -p1 -b .init
%patch8 -p1 -b .wire

%patch9 -p1
%patch12 -p1
%patch14 -p1
%patch17 -p1
%patch18 -p1
%patch100 -p1 -b .loader

# chmod u+w cardmgr/lex_config.l
%patch101 -p1 -b .dietlibc

cp %{SOURCE2} etc/
cp %{SOURCE3} etc/

%build

./Configure -n --kernel=/usr/src/linux \
	--target=%{buildroot} --trust --cardbus --nopnp --srctree \
	--moddir=/lib/modules/1.1.1 --sysv \
	--rcdir=`echo %{_initscriptdir} | sed -e 's/\/init\.d//g'`

## We make it again. Don't worry,
## GNU make knows how to make "lex_config.c" from "lex_config.l".
pushd cardmgr ; make lex_config.c ; popd
make all

%install
make install MANDIR=%{buildroot}%{_mandir}

install -m755 %{SOURCE1} %{buildroot}/etc/pcmcia/network

# remove
rm -f %{buildroot}/etc/pcmcia/config
rm -f %{buildroot}/etc/pcmcia/network.O
rm -f %{buildroot}/etc/pcmcia/network.opts
rm -f %{buildroot}/sbin/libcardmgr_loader.a
rm -f %{buildroot}/usr/X11R6/bin/xcardinfo
rm -f %{buildroot}/usr/bin/gpccard
rm -f %{buildroot}/usr/share/man/ja/man4/nsp_cs.4j*

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add pcmcia

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del pcmcia
fi
exit 0

%triggerpostun -- kernel-pcmcia-cs < 2.2.5
if [ -f %{_initscriptdir}/pcmcia ] ; then
    /sbin/chkconfig --add pcmcia
fi

%changelog
* Wed Mar 24 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.5-2m)
- revised spec for rpm 4.2

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.5-1m)
- upgrade 3.2.5

* Sat Sep 06 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2.4-2m)
- delete /etc/pcmcia/config, use hwdata's one
- delete Patch15: pcmcia-cs-3.1.29-xircom-config.patch
- delete Patch11: pcmcia-cs-3.1.25.at2800.patch
- delete Patch13: pcmcia-cs-3.1.29-aic7xxx_mod-to-aic7xxx.patch
- delete Patch16: pcmcia-cs-3.2.1-prism2-corega.patch
- move /etc/pcmcia and /etc/pcmcia/config to hwdata package
- add Prereq: hwdata
- add URL

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.2.4-1m)
  update to 3.2.4

* Tue Feb 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.2.3-1m)
  update to 3.2.3
  support Melco WLI-PCM-S11G

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.2.1-3m)
- s/prism2/hostap_cs/
- if you use hostap_cs driver, you must use kernel >= 2.4.20-7m

* Fri Nov 14 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.1-2m)
- add BuildPreReq: kernel-source

* Tue Sep  3 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.2.1-1m)
  update to 3.2.1

* Wed Aug 21 2002 HOSONO Hidetomo <h@h12o.org>
- (3.2.0-5m)
- revice nowordexp patch(Patch101),
  from the suggestion of Mr. David Hinds. :-)
- rename kondara.conf to momonga.conf
- rename kondara-pcmcia-cs-3.1.24-wireless.patch
  to pcmcia-cs-3.1.24-wireless.patch
- clean up this spec file

* Tue Aug 20 2002 HOSONO Hidetomo <h@h12o.org>
- (3.2.0-4m)
- revice nowordexp patch(Patch101) to avoid failure of source command
  reported by myself
  (see [Momonga-devel.ja:00345] and [Momonga-devel.ja:00346]) :D

* Fri Aug  2 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.2.0-3m)
- revice nowordexp patch(Patch101) to avoid failure of source command reported by Takayuki Nakagawa(see [Momonga-devel.ja:00272])

* Mon Jul 29 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.2.0-2m)
- use glob() instead of wordexp() for momonga installer(dietlibc doesn't have wordexp())

* Thu Jul 25 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.2.0-1m)
  update to 3.2.0

* Fri Jun 14 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.34-4k)
- add update ieee1394 (patch(Patch17), %files,...)

* Fri Jun 14 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.1.34-2k)
  update to 3.1.34

* Mon Apr 15 2002 Toru Hoshina <t@kondara.org>
- (3.1.33-6k)
- prism2, corega...

* Sun Mar 31 2002 Toru Hoshina <t@kondara.org>
- (3.1.33-4k)
- some _loader.a added for installer.

* Mon Mar 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.1.33-2k)
  update to 3.1.33

* Thu Feb  7 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.1.31-2k)
  update to 3.1.31

* Tue Jan 22 2002 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (3.1.29-10k)
  added to config IO Data WN-B11/PCM

* Thu Nov 22 2001 Toru Hoshina <t@kondara.org>
- (3.1.29-8k)
- applied pcmcia-cs-3.1.29-xircom-config.patch

* Thu Nov  1 2001 MATSUDA, Diaki <dyky@df-usa.com>
- (3.1.29-6k)
- add pcmcia-cs-3.1.29-rcfile-path.patch to add PATH environment to rc file

* Sun Oct 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.1.29-4k)
- modify aic7xxx_mod to aic7xxx

* Tue Oct  2 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.1.29-2k)
- update to 3.1.29 and merge to rh 3.1.27-10

* Tue Jun  5 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.1.25-12k)
- add pcmcia-cs-3.1.25.at2800.patch for Allied Telesis AT-2800

* Wed May 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.1.25-10k)
- add apa1480_cb_to_aic7xxx.patch

* Thu May 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.1.25-8k)
- modified typo in /etc/pcmcia/config

* Tue May 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.1.25-6k)
- modified the bug that /etc/pcmcia/*.conf are not included

* Thu May 10 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.1.25-4k)
- add nsp_cs.conf and kondara.conf

* Sat Apr 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.1.25-2k)
- rename to kernel-pcmcia-cs

* Wed Apr 11 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.1.25-4k)
- fixed for mandir
- fixed for ppc

* Wed Apr  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.1.25-3k)
- import from RHL and merge to Jirai
- add nsp_cs entry

* Sun Mar 11 2001 Than Ngo <than@redhat.com>
- add missing isdn script

* Sat Mar 10 2001 Preston Brown <pbrown@redhat.com>
- ad-hoc mode by default for wavelans

* Tue Feb 27 2001 Bill Nottingham <notting@redhat.com>
- require hotplug
- actually install the stubbed network script
- fix wireless script so it works when not called from the
  network script
- use xircom_cb, not tulip

* Tue Feb 27 2001 Erik Troan <ewt@redhat.com>
- don't bring network devices up or down, let hotplug take care of it

* Fri Feb 23 2001 Erik Troan <ewt@redhat.com>
- changed airo to aironet4500 in the config files
- combined some patches as it was a complete mess
- removed patch for 26955 which was just wrong -- it tried to source in
  /etc/pcmcia/wireless, which is a script that expects arguments

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add condrestart to init script, move start and stop to functions
  the way we do everywhere else
- start pcmcia earlier on in the boot process - needs to be started
  before netfs if we want to mount nfs filesystems using pcmcia network
  cards.

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Make tulip cards use "tulip" rather than "xircom_tulip_cb"
  (Request from Arjan)
- remove 0x800-0x8ff range from ports (#25222)
- network script sources wireless script (#26955)

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Actually apply Erik's fstab patch
- Add support for various PCMCIA ISDN cards to /etc/pcmcia/config
  (Sedlbauer SpeedStar/SpeedStar II, AVM M1/M2/B1/A1, Elsa MicroLink)
- Update to 3.1.24 while at it:
  - Fixes buffer overrun in cardmgr
  - Fixes config scripts
  - Fixes wvlan_cs man page
  - Fixes script logging for DHCP
  All other 3.1.24 changes don't affect us because we aren't using
  the modules from this package

* Sun Feb 11 2001 Bill Nottingham <notting@redhat.com>
- take suid bit off of cardctl (#27098)

* Thu Feb 08 2001 Erik Troan <ewt@redhat.com>
- transparently use yenta_socket instead of i82365 when appropriate
- call updfstab here and there

* Tue Jan 23 2001 Erik Troan <ewt@redhat.com>
- switched to echo $"string" for translations

* Tue Jan 16 2001 Erik Troan <ewt@redhat.com>
- switched to gprintf for translations

* Tue Jan 16 2001 Erik Troan <ewt@redhat.com>
- changed xircom_tulip to xircom_tulip_cb in /etc/pcmcia/config

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.1.23

* Mon Jan 08 2001 Erik Troan <ewt@redhat.com>
- split kernel-pcmcia-cs into separate package as all of the pcmcia modules
  are from the main kernel now, and this just contributes cardmgr and config
  stuff

%files
%defattr(-,root,root)
%doc doc/PCMCIA-HOWTO 
%doc doc/PCMCIA-PROG
%doc SUPPORTED.CARDS 
%doc CHANGES 
%doc COPYING 
%doc README
%ifnarch ppc
/sbin/pcic_probe
%endif
/sbin/cardmgr
%attr(755,root,root) /sbin/cardctl
/sbin/ifport
/sbin/ifuser
/sbin/scsi_info
/sbin/ide_info
/sbin/pcinitrd
/sbin/ftl_format
/sbin/ftl_check
/sbin/dump_cis
/sbin/pack_cis
%{_mandir}/man[45]/*
%{_mandir}/man8/[a-c]*
%{_mandir}/man8/dump_cis.8*
%{_mandir}/man8/[e-j]*
%{_mandir}/man8/[l-z]*
/etc/pcmcia/cis
#%%dir /etc/pcmcia
#%%config /etc/pcmcia/config
%config /etc/pcmcia/config.opts
/etc/pcmcia/ftl
%config /etc/pcmcia/ftl.opts
/etc/pcmcia/ide
%config /etc/pcmcia/ide.opts
/etc/pcmcia/memory
%config /etc/pcmcia/memory.opts
/etc/pcmcia/network
/etc/pcmcia/parport
%config /etc/pcmcia/parport.opts
/etc/pcmcia/scsi
%config /etc/pcmcia/scsi.opts
/etc/pcmcia/serial
%config /etc/pcmcia/serial.opts
/etc/pcmcia/wireless
%config /etc/pcmcia/wireless.opts
/etc/pcmcia/ieee1394
%config /etc/pcmcia/ieee1394.opts
/etc/pcmcia/shared
/etc/pcmcia/*.conf
%config %{_initscriptdir}/pcmcia
%dir /var/lib/pcmcia
%config(noreplace) /etc/sysconfig/pcmcia
%{_libdir}/*_loader.a
